/ comp / gb / enum / _next
FOR EACH Enum (gb)
Syntax

    FOR EACH Enum
      ...
    NEXT

Browses all current enumerations of the current object.

An object can be enumerated many times simultaneously, by imbricated FOR EACH structures.

Use this function:

- For modifying the Index property of each enumeration that points at an element that has been destroyed. You can jump to the next element for example.

- For stopping all enumerations on the current object, because the object has been destroyed.